Bug 490632 - notify-send wrong window position in virtual screen
notify-send wrong window position in virtual screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libnotify (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 08:31 EDT by Mauricio Teixeira
Modified: 2013-03-05 22:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:02:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
notify-send window position screen shot (214.09 KB, image/png)
2009-03-17 08:31 EDT, Mauricio Teixeira
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 331369 None None None Never

  None (edit)
Description Mauricio Teixeira 2009-03-17 08:31:42 EDT
Created attachment 335517 [details]
notify-send window position screen shot

I am using dual-head mode with "intel" driver, using the "Virtual" parameter in xorg.conf. This creates a large desktop screen which is double the size of the largest screen available (in this case, 1680x1050). It happens that in my case, the secondary monitor is only capable of 1024x768 resolution.

The applications do fit available screen, but notify-send command does not see the real screen size, and position the notification messages on the edge of the virtual screen.

As you can see from the attached screen shot, the left portion of the window is the 1680x1050 monitor, and the right portion of the window is the 1024x768 monitor. The file browser is maximized, and fits correctly in the monitor size. But the notify windows are showing in the edge of the virtual screen, not on the edge of the visible part of the screen, as it should be. All you can see on the monitor are messages 1 to 4. 5 to 10 are hidden.
Comment 1 Marco Grigull 2009-05-28 18:49:38 EDT
Also seeing this on current Fedora 10 system.  

[mgrigull@mgrigull ~]$ xrandr 
Screen 0: minimum 320 x 200, current 3600 x 1200, maximum 4096 x 1200
VGA connected 1920x1200+0+0 (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200      60.0*+
   1600x1200      60.0  
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
LVDS connected 1680x1050+1920+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1680x1050      60.1*+   50.1  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
HDMI-1 disconnected (normal left inverted right x axis y axis)
HDMI-2 disconnected (normal left inverted right x axis y axis)


The events 'hide' under the bottom portion of the LVDS display (external screen to the left)
Comment 2 analyzer 2009-05-30 14:05:56 EDT
Since this bug is really annoying, I managed to get a patch which works very nicely to fix this (not tested on single head tho).

Note: This is not libnotify related but notification-daemon.


Here is the patch:
http://trac.galago-project.org/attachment/ticket/5/10-nd-improve-multihead-support.patch?format=raw

Here is a built RPM if anyone needs it:
http://requesthelp.free.fr/Forum/viewtopic.php?f=22&t=35
Comment 3 Kiwon Um 2009-07-23 03:48:09 EDT
Temporarily, check the gnome configuration editor -> apps -> notification-daemon -> popup_location.
Comment 4 Bug Zapper 2009-11-18 06:32:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 04:02:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.